=== modified file 'bzrlib/repofmt/knitpack_repo.py'
--- bzrlib/repofmt/knitpack_repo.py	2011-04-05 16:26:48 +0000
+++ bzrlib/repofmt/knitpack_repo.py	2011-04-05 23:18:38 +0000
@@ -20,7 +20,10 @@
 lazy_import(globals(), """
 from bzrlib import (
     bzrdir,
+    knit,
+    osutils,
     revision as _mod_revision,
+    tsort,
     xml5,
     xml6,
     xml7,
@@ -37,6 +40,7 @@
     )
 from bzrlib.index import (
     GraphIndex,
+    GraphIndexPrefixAdapter,
     InMemoryGraphIndex,
     )
 from bzrlib.repofmt.knitrepo import (
@@ -648,7 +652,7 @@
             self.new_pack.text_index,
             ('blank', ), 1,
             add_nodes_callback=self.new_pack.text_index.add_nodes)
-        data_access = _DirectPackAccess(
+        data_access = knit._DirectPackAccess(
                 {self.new_pack.text_index:self.new_pack.access_tuple()})
         data_access.set_writer(self.new_pack._writer, self.new_pack.text_index,
             self.new_pack.access_tuple())

